### A free/open-source library for quantitative finance

Public Member Functions
UKRPI Class Reference

UK Retail Price Inflation Index. More...

`#include <ql/indexes/inflation/ukrpi.hpp>`

Inheritance diagram for UKRPI:
[legend]

List of all members.

## Public Member Functions

| UKRPI (bool interpolated, const Handle< ZeroInflationTermStructure > &ts=Handle< ZeroInflationTermStructure >())

## Detailed Description

UK Retail Price Inflation Index.